package com.zanxiang.sdk.controller;

import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.sdk.domain.entity.Demo;
import com.zanxiang.sdk.domain.vo.DemoVO;
import com.zanxiang.sdk.service.DemoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * demo示例
 *
 * @author xufeng
 * @date 2022-05-31 17:06
 */
@Api(tags = "demo示例")
@RestController
@RequestMapping("/sdkdemo")
public class DemoController {

    @Autowired
    private DemoService demoService;

    @GetMapping("/info")
    @ApiOperation("/info")
    public ResultVo<DemoVO> getDemo(@RequestParam(name = "id", defaultValue = "1", required = false) String id) {
        Demo demo = demoService.getById(id);
        return ResultVo.ok(BeanUtils.copy(demo, DemoVO.class));
    }

}
